//
//  SBSDKDocumentDetectionStatus.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 22.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKDocumentDetectionStatus {
    var stringName: String? {
        switch self {
        case SBSDKDocumentDetectionStatusOK: return "OK"
        case SBSDKDocumentDetectionStatusOK_SmallSize: return "OK_BUT_TOO_SMALL"
        case SBSDKDocumentDetectionStatusOK_BadAngles: return "OK_BUT_BAD_ANGLES"
        case SBSDKDocumentDetectionStatusOK_BadAspectRatio: return "OK_BUT_BAD_ASPECT_RATIO"
        case SBSDKDocumentDetectionStatusOK_OffCenter: return "OK_OFF_CENTER"
        case SBSDKDocumentDetectionStatusError_NothingDetected: return "ERROR_NOTHING_DETECTED"
        case SBSDKDocumentDetectionStatusError_Brightness: return "ERROR_TOO_DARK"
        case SBSDKDocumentDetectionStatusError_Noise: return "ERROR_TOO_NOISY"
        default: return nil
        }
    }
}
