//
//  SBSDKIndexedImageStorage.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 03.09.19.
//

import Foundation
import ScanbotSDK

extension SBSDKIndexedImageStorage {
    static func temporaryStorage(for pages: [SBSDKUIPage]) -> SBSDKIndexedImageStorage {
        let folderName = UUID().uuidString
        let storageURL = SBSDKStorageLocation.applicationCachesFolderURL().appendingPathComponent(folderName, isDirectory: true)
        let location = SBSDKStorageLocation(baseURL: storageURL)
        let storage = SBSDKIndexedImageStorage(storageLocation: location)
        let imageURLS = pages.compactMap({ $0.documentImageURL() })
        imageURLS.forEach({ storage?.addImage(from: $0) })
        return storage!
    }
}
